collapse

* Links de Robótica

* Posts Recentes

Fonte de Alimentação Simétrica com carregadores por vasco
[Hoje às 01:26]


Díodo schottky por jm_araujo
[Hoje às 00:33]


EtherCAT / LAN9252 por beirao
[Ontem às 23:38]


pasta de soldar por Hugu
[Ontem às 18:41]


Apresentação por senso
[22 de Agosto de 2017, 17:34]


duvidas sobre utilização de um osciloscopio(zito) num circuito básico por vasco
[19 de Agosto de 2017, 01:09]


A Paixão da Física Walter Lewin , Warren Goldstein por Njay
[18 de Agosto de 2017, 11:45]


Gerar CPL file a partir dos Gerbers? por Hugu
[18 de Agosto de 2017, 00:22]


Ajuda num relógio para termoacumulador por dennis_boy
[17 de Agosto de 2017, 00:07]


Aspiração para CNC por LVirtual
[14 de Agosto de 2017, 17:34]

Autor Tópico: Como usar ficheiros lisp no Draftsight?  (Lida 200 vezes)

0 Membros e 1 Visitante estão a ver este tópico.

Offline brunus

  • Mini Robot
  • *
  • Mensagens: 144
Como usar ficheiros lisp no Draftsight?
« em: 27 de Dezembro de 2016, 23:09 »
Precisava de estimar, calcular o perímetro de todas as linhas, segmentos, curvas de um desenho no draftsight. Pelo que percebi não existe essa função por defeito, ou se existe, é preciso andar a selecionar o inicio e fim de cada segmento e se forem mais de 300 segmentos/polylines, torna-se inviável.

Pesquisando o assunto, dei com um forum onde pessoal expõe programas ou uma série de linhas de comando para se usar com o autolisp.

um exemplo:
Citar
Give this a try:
Código: [Seleccione]
(defun c:tlen (/ n e ss rjp-getlength)
  (defun rjp-getlength (e / ep)
    (if (= (type e) 'ename)
      (setq e (vlax-ename->vla-object e))
    )
    (if (not (vl-catch-all-error-p
               (setq ep (vl-catch-all-apply 'vlax-curve-getendparam (list e)))
             )
        )
      (vlax-curve-getdistatparam e ep)
      0.0
    )
  )
  (setq n 0)
  (if (setq ss (ssget))
    (progn (while (setq e (ssname ss 0))
             (setq n (+ (rjp-getlength e) n))
             (ssdel e ss)
           )
           (alert (rtos n))
    )
  )
  (princ)

Como posso usar isto no Draftsight?

1) Para gravar o ficheiro em lisp, basta colocar estas linhas no notepad e gravar com a extensão .lsp?
2) Como executo o ficheiro lisp no Draftsight? ou qual a linha de comandos?
3) É preciso compilar o ficheiro lisp ou colocá-lo em alguma pasta ou directorio do Draftsight?